SDL_modff(3)

NAME
SDL_modff - Split x into integer and fractional parts

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

float SDL_modff(float x, float *y);

DESCRIPTION
This function operates on single-precision floating point values, use SDL_modf for double-precision floats.

FUNCTION PARAMETERS

x   floating point value.

y   output pointer to store the integer part of x.

RETURN VALUE
Returns the fractional part of x.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_modf(3), SDL_truncf(3), SDL_fmodf(3)